---- fn_ForReport61 ----
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fn_ForReport61]') and xtype in (N'FN', N'IF', N'TF'))
drop function [dbo].[fn_ForReport61]
GO
CREATE   function fn_ForReport61 (@P float, @V float, @T int)
returns int
as
begin
  declare @res int
  set @res = 0
  declare @UnomID int
  set @UnomID = dbo.UnomIDByValue(@V)
  if @P<2500 -- до 2500 не включительно
  begin
    if @UnomID = 9 OR @UnomID = 10 -- 3-20 кВ
    begin
      if  @T = 1 set @res = 6 -- силовой
      else
        if @T = 2 set @res = 8 -- ТСН
        else set @res = 10 -- ДК
    end
    if @UnomID = 7 -- 35 кВ
    begin
      if  @T = 1 set @res = 7 -- силовой
      else
        if @T = 2 set @res = 9 -- ТСН
          else set @res = 11 -- ДК
    end
  end
  else
    if @P<10000 -- 2500-10000 не включительно
    begin
      if @UnomID = 9 OR @UnomID = 10 -- 3-20 кВ
      begin
        if  @T = 1 set @res = 14 -- силовой
        else
          if @T = 2 set @res = 17 -- ТСН
            else set @res = 20 -- ДК
      end
      if @UnomID = 7 -- 35 кВ
      begin
         if  @T = 1 set @res = 15 -- силовой
         else
           if @T = 2 set @res = 18 -- ТСН
             else set @res = 21 -- ДК
      end
      if @UnomID = 6 -- 110 кВ
      begin
        if  @T = 1 set @res = 16 -- силовой
        else
          if @T = 2 set @res = 19 -- ТСН
            else set @res = 22 -- ДК
     end
    end
    else
      if @P<80000 -- 10000-80000 не включительно
      begin
        if @UnomID = 9 OR @UnomID = 10 -- 3-20 кВ
        begin
          if  @T = 1 set @res = 26 -- силовой
          else
            if @T = 2 set @res = 31 -- ТСН
              else set @res = 36 -- ДК
        end
        if @UnomID = 7 -- 35 кВ
        begin
          if  @T = 1 set @res = 27 -- силовой
          else
            if @T = 2 set @res = 32 -- ТСН
              else set @res = 37 -- ДК
        end
        if @UnomID = 6 -- 110 кВ
        begin
          if  @T = 1 set @res = 28 -- силовой
          else
            if @T = 2 set @res = 33 -- ТСН
              else set @res = 38 -- ДК
        end
        if @UnomID = 5  -- 220 кВ
        begin
          if  @T = 1 set @res = 29 -- силовой
          else
            if @T = 2 set @res = 34 -- ТСН
              else set @res = 39 -- ДК
        end
         if @UnomID > 5  -- от 220 кВ
         begin
           if  @T = 1 set @res = 30 -- силовой
           else
             if @T = 2 set @res = 35 -- ТСН
               else set @res = 40 -- ДК
         end
      end
      else -- 80000 и более
      begin
        if @UnomID = 9 OR @UnomID = 10 OR @UnomID = 7 -- до 40 кВ
        begin
           if  @T = 1 set @res = 46 -- силовой
           else
             if @T = 2 set @res = 50 -- ТСН
               else set @res = 54 -- ДК
        end
        if @UnomID = 6 -- 110 кВ
        begin
          if  @T = 1 set @res = 47 -- силовой
          else
            if @T = 2 set @res = 51 -- ТСН
              else set @res = 55 -- ДК
        end
        if @UnomID = 5 -- 220 кВ
        begin
          if  @T = 1 set @res = 48 -- силовой
          else
            if @T = 2 set @res = 52 -- ТСН
              else set @res = 56 -- ДК
        end
        if @UnomID > 5 -- от 220 кВ
        begin
          if  @T = 1 set @res = 49 -- силовой
          else
            if @T = 2 set @res = 53 -- ТСН
              else set @res = 57 -- ДК
        end
      end
  return @res
end
